Skip to main content
POST
/
v1
/
representatives
cURL
curl --request POST \
  --header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
  --url https://sandbox.straddle.com/v1/representatives \
  --header 'Content-Type: application/json' \
  --data '{
  "account_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  "first_name": "<string>",
  "last_name": "<string>",
  "dob": "2019-12-27",
  "ssn_last4": "1234",
  "email": "[email protected]",
  "mobile_number": "+12128675309",
  "relationship": {
    "primary": true,
    "control": true,
    "owner": true
  }
}'
import Straddle from '@straddlecom/straddle';

const client = new Straddle({
  apiKey: process.env['STRADDLE_API_KEY'], // This is the default and can be omitted
});

async function main() {
  const representative = await client.embed.representatives.create({
    account_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
    dob: '1980-01-01',
    email: '[email protected]',
    first_name: 'first_name',
    last_name: 'last_name',
    mobile_number: '+12128675309',
    relationship: { control: true, owner: true, primary: true },
    ssn_last4: '1234',
  });

  console.log(representative.data);
}

main();
import os
from straddle import Straddle
from straddle._utils import parse_date

client = Straddle(
    api_key=os.environ.get("STRADDLE_API_KEY"),  # This is the default and can be omitted
)
representative = client.embed.representatives.create(
    account_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    dob=parse_date("1980-01-01"),
    email="[email protected]",
    first_name="first_name",
    last_name="last_name",
    mobile_number="+12128675309",
    relationship={
        "control": True,
        "owner": True,
        "primary": True,
    },
    ssn_last4="1234",
)
print(representative.data)
require "straddle"

straddle = Straddle::Client.new(
  api_key: ENV["STRADDLE_API_KEY"], # This is the default and can be omitted
  environment: "production" # defaults to "sandbox"
)

representative = straddle.embed.representatives.create(
  account_id: "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
  dob: "1980-01-01",
  email: "[email protected]",
  first_name: "first_name",
  last_name: "last_name",
  mobile_number: "+12128675309",
  relationship: {control: true, owner: true, primary: true},
  ssn_last4: "1234"
)

puts(representative)
{
  "meta": {
    "api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "api_request_timestamp": "2023-11-07T05:31:56Z"
  },
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status_detail": {
      "source": "watchtower",
      "code": "<string>",
      "message": "<string>"
    },
    "first_name": "Ron",
    "last_name": "Swanson",
    "dob": "1980-01-01",
    "ssn_last4": "1234",
    "email": "[email protected]",
    "mobile_number": "+12128675309",
    "relationship": {
      "primary": true,
      "control": true,
      "owner": true,
      "percent_ownership": 123,
      "title": "<string>"
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "external_id": "<string>",
    "phone": "<string>",
    "metadata": {}
  }
}
{
  "meta": {
    "api_request_id": "<string>",
    "api_request_timestamp": "<string>",
    "sort_order": "<string>",
    "sort_by": "<string>",
    "page_number": 123,
    "page_size": 123,
    "total_rows": 123
  },
  "data": null,
  "error": {
    "status": 123,
    "type": "<string>",
    "title": "<string>",
    "detail": "<string>",
    "items": [
      {
        "reference": "<string>",
        "detail": "<string>"
      }
    ]
  }
}
{
  "meta": {
    "api_request_id": "<string>",
    "api_request_timestamp": "<string>",
    "sort_order": "<string>",
    "sort_by": "<string>",
    "page_number": 123,
    "page_size": 123,
    "total_rows": 123
  },
  "data": null,
  "error": {
    "status": 123,
    "type": "<string>",
    "title": "<string>",
    "detail": "<string>",
    "items": [
      {
        "reference": "<string>",
        "detail": "<string>"
      }
    ]
  }
}
{
  "meta": {
    "api_request_id": "<string>",
    "api_request_timestamp": "<string>",
    "sort_order": "<string>",
    "sort_by": "<string>",
    "page_number": 123,
    "page_size": 123,
    "total_rows": 123
  },
  "data": null,
  "error": {
    "status": 123,
    "type": "<string>",
    "title": "<string>",
    "detail": "<string>",
    "items": [
      {
        "reference": "<string>",
        "detail": "<string>"
      }
    ]
  }
}
{
  "meta": {
    "api_request_id": "<string>",
    "api_request_timestamp": "<string>",
    "sort_order": "<string>",
    "sort_by": "<string>",
    "page_number": 123,
    "page_size": 123,
    "total_rows": 123
  },
  "data": null,
  "error": {
    "status": 123,
    "type": "<string>",
    "title": "<string>",
    "detail": "<string>",
    "items": [
      {
        "reference": "<string>",
        "detail": "<string>"
      }
    ]
  }
}
{
  "meta": {
    "api_request_id": "<string>",
    "api_request_timestamp": "<string>",
    "sort_order": "<string>",
    "sort_by": "<string>",
    "page_number": 123,
    "page_size": 123,
    "total_rows": 123
  },
  "data": null,
  "error": {
    "status": 123,
    "type": "<string>",
    "title": "<string>",
    "detail": "<string>",
    "items": [
      {
        "reference": "<string>",
        "detail": "<string>"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

idempotency-key
string

Optional client generated value to use for idempotent requests.

Required string length: 10 - 40

Body

account_id
string<uuid>
required

The unique identifier of the account this representative is associated with.

first_name
string
required

The first name of the representative.

last_name
string
required

The last name of the representative.

dob
string<date>
required

Date of birth for the representative in ISO 8601 format (YYYY-MM-DD).

Example:

"1980-01-01"

ssn_last4
string
required

The last 4 digits of the representative's Social Security Number.

Pattern: ^[0-9]{4}$
Example:

"1234"

email
string<email>
required

The company email address of the representative.

mobile_number
string
required

The mobile phone number of the representative.

Pattern: ^\+[1-9]\d{1,14}$
Example:

"+12128675309"

relationship
object
required
external_id
string | null

Unique identifier for the representative in your database, used for cross-referencing between Straddle and your systems.

metadata
object | null

Up to 20 additional user-defined key-value pairs. Useful for storing additional information about the represetative in a structured format.

Response

Created

meta
object
required

Metadata about the API request, including an identifier and timestamp.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object
required